package com.sifang.modules.sunshine.SystemSetting.form;

import com.sifang.modules.customer.entity.CrmCustomerIncomingProductPara;
import com.sifang.modules.sunshine.SystemSetting.entity.CrmProjectSetting;
import com.sifang.modules.sunshine.SystemSetting.entity.ProjectCompanySettings;
import com.sifang.modules.sunshine.SystemSetting.entity.ProjectRentVariable;

import java.math.BigDecimal;
import java.util.List;

public class AddProjectVo {

    private String id;

    private String code;

    private String name;

    private String productLineId;

    private String epcCompanyId;

    private String projectCompanyId;

    private BigDecimal epcPrice;

    private String payCycle;

    private List<ProjectRentVariable> variables;

    private String managementType;

    private String management;

    private String filingType;

    private Integer assemblySpecs;

    private String connectManageFlag;
    private String buyInsuranceFlag;
    private String insuranceId;

    private String stateAuthorizedFlag;

    private List<AddAreaVo> areaList;

    private List<ProjectCompanySettings> companyList;

    public List<AddAreaVo> getAreaList() {
        return areaList;
    }

    public void setAreaList(List<AddAreaVo> areaList) {
        this.areaList = areaList;
    }

    public String getStateAuthorizedFlag() {
        return stateAuthorizedFlag;
    }

    public void setStateAuthorizedFlag(String stateAuthorizedFlag) {
        this.stateAuthorizedFlag = stateAuthorizedFlag;
    }

    private List<CrmCustomerIncomingProductPara> productPara;

    public List<CrmCustomerIncomingProductPara> getProductPara() {
        return productPara;
    }

    public void setProductPara(List<CrmCustomerIncomingProductPara> productPara) {
        this.productPara = productPara;
    }
    public String getManagement() {
        return management;
    }

    public void setManagement(String management) {
        this.management = management;
    }

    public Integer getAssemblySpecs() {
        return assemblySpecs;
    }

    public void setAssemblySpecs(Integer assemblySpecs) {
        this.assemblySpecs = assemblySpecs;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    public String getManagementType() {
        return managementType;
    }

    public void setManagementType(String managementType) {
        this.managementType = managementType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProductLineId() {
        return productLineId;
    }

    public void setProductLineId(String productLineId) {
        this.productLineId = productLineId;
    }

    public String getEpcCompanyId() {
        return epcCompanyId;
    }

    public void setEpcCompanyId(String epcCompanyId) {
        this.epcCompanyId = epcCompanyId;
    }

    public String getProjectCompanyId() {
        return projectCompanyId;
    }

    public void setProjectCompanyId(String projectCompanyId) {
        this.projectCompanyId = projectCompanyId;
    }

    public List<ProjectCompanySettings> getCompanyList() {
        return companyList;
    }

    public void setCompanyList(List<ProjectCompanySettings> companyList) {
        this.companyList = companyList;
    }

    public BigDecimal getEpcPrice() {
        return epcPrice;
    }

    public void setEpcPrice(BigDecimal epcPrice) {
        this.epcPrice = epcPrice;
    }

    public String getPayCycle() {
        return payCycle;
    }

    public void setPayCycle(String payCycle) {
        this.payCycle = payCycle;
    }

    public List<ProjectRentVariable> getVariables() {
        return variables;
    }

    public void setVariables(List<ProjectRentVariable> variables) {
        this.variables = variables;
    }

    public String getConnectManageFlag() {
        return connectManageFlag;
    }

    public void setConnectManageFlag(String connectManageFlag) {
        this.connectManageFlag = connectManageFlag;
    }

    public String getBuyInsuranceFlag() {
        return buyInsuranceFlag;
    }

    public void setBuyInsuranceFlag(String buyInsuranceFlag) {
        this.buyInsuranceFlag = buyInsuranceFlag;
    }

    public String getInsuranceId() {
        return insuranceId;
    }

    public void setInsuranceId(String insuranceId) {
        this.insuranceId = insuranceId;
    }
}
